#ifndef	__TEA5767_H__
#define	__TEA5767_H__


// TEA5767 レジスタ・ビット
// Write
#define		DATA1_MUTE		0x80	// mute
#define		DATA1_SM		0x40	// Search mode
#define		DATA1_PLL		0x3F
#define		DATA2_PLL		0xFF
#define		DATA3_SUD		0x80	// Search Up/Down 1:UP
#define		DATA3_SSL		0x60	// Search Stop Level
#define		DATA3_SSL1		0x40	// Search Stop Level
#define		DATA3_SSL0		0x20	// Search Stop Level
#define		DATA3_HLSI		0x10	// High/Low Side Injection
#define		DATA3_MS		0x08	// Mono to Stereo 1:Mono
#define		DATA3_MR		0x04	// Mute Right
#define		DATA3_ML		0x02	// Mute Left
#define		DATA3_SWP1		0x01	// GPIO1
#define		DATA4_SWP2		0x80	// GPIO2
#define		DATA4_STBY		0x40	// Stanby
#define		DATA4_BL		0x20	// Band Limits 1:Japanese 0:US/Europe
#define		DATA4_XTAL		0x10	// 1:32768Hz Xtal and set PLLREF=0 
#define		DATA4_SMUTE		0x08	// Soft Mute
#define		DATA4_HCC		0x04	// Hight Cut Control
#define		DATA4_SNC		0x02	// Stereo Noise Cancelling
#define		DATA4_SI		0x01	// Search Indicator -> SWP1
#define		DATA5_PLLREF	0x80	// 
#define		DATA5_DTC		0x40	// de-emphasis 1:75us 0:50us

// Read
#define		DATA1_RF		0x80	// Ready Flag
#define		DATA1_BLF		0x40	// Band Limit Flag
// PLLは同じ
#define		DATA3_STEREO	0x80	// Stereo indication
#define		DATA3_IF		0x7F	// IF counter result
#define		DATA4_LEV		0xF0	// level ADC output
#define		DATA4_CI		0x0E	// Chip Identification

#define		PLL_76MHZ		0x2459
#define		PLL_76MHZ_H		0x59
#define		PLL_76MHZ_L		0x24
#define		PLL_91MHZ		0x2B80
#define		PLL_91MHZ_H		0x2B
#define		PLL_91MHZ_L		0x80

#endif	// __TEA5767_H__
